ForInLoopTree (Java SE 13 & JDK 13 )
Description: declaration: module: jdk.scripting.nashorn, package: jdk.nashorn.api.tree, interface: ForInLoopTree
Keywords: jdk.nashorn.api.tree.ForInLoopTree interface

Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

# Interface ForInLoopTree

All Superinterfaces:
  `LoopTree`, `StatementTree`, `Tree`

    @Deprecated(since="11",
                forRemoval=true)
    public interface ForInLoopTree
    extends LoopTree

Deprecated, for removal: This API element is subject to removal in a future version.
Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
A tree node for for..in statement For example:

       for ( variable in expression )
           statement

Since:
  9

- ## Nested Class Summary

  ## Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

  `Tree.Kind`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ExpressionTree` | `getExpression()` | Deprecated, for removal: This API element is subject to removal in a future version. The object or array being whose properties are iterated.
  `StatementTree` | `getStatement()` | Deprecated, for removal: This API element is subject to removal in a future version. The statement contained in this for..in statement.
  `ExpressionTree` | `getVariable()` | Deprecated, for removal: This API element is subject to removal in a future version. The for..in left hand side expression.
  `boolean` | `isForEach()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns if this is a for..each..in statement or not.

  ### Methods declared in interface jdk.nashorn.api.tree.Tree

  `accept, getEndPosition, getKind, getStartPosition`

- ## Method Details

  - ### getVariable

    ExpressionTree getVariable()
    Deprecated, for removal: This API element is subject to removal in a future version.
    The for..in left hand side expression.
    Returns:
      the left hand side expression

  - ### getExpression

    ExpressionTree getExpression()
    Deprecated, for removal: This API element is subject to removal in a future version.
    The object or array being whose properties are iterated.
    Returns:
      the object or array expression being iterated

  - ### getStatement

    StatementTree getStatement()
    Deprecated, for removal: This API element is subject to removal in a future version.
    The statement contained in this for..in statement.
    Specified by:
      `getStatement` in interface `LoopTree`
    Returns:
      the statement

  - ### isForEach

    boolean isForEach()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns if this is a for..each..in statement or not.
    Returns:
      true if this is a for..each..in statement